<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 09/09/2005 *
 * ===================                          Last change: 05/18/2008 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : sponsor_ref.php                                  *
 * -------------------------------------------------------------------- *
 * Short description : Redirection for the referral link                *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Weiterleitungsscript fuer die Referral-Links     *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009 - 2011 by Mailer Developer Team                   *
 * For more information visit: http://mxchange.org                      *
 *                                                                      *
 * This program is free software. You can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License.       *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Load security stuff here
require('inc/libs/security_functions.php');

// Init start time
$GLOBALS['startTime'] = microtime(true);

// Set module / output mode
$GLOBALS['module'] = 'sponsor_ref';
$GLOBALS['output_mode'] = -2;

// Load the required file(s)
require('inc/config-global.php');

// Set content type for e.g. search engines
setContentType('text/html');

// Base URL for redirection
$url = 'modules.php?module=index';

// Do we have a referral id?
if (isReferralIdValid()) {
	// We have an refid here. So we simply add it
	$url .= '&amp;what=sponsor_reg&amp;refid=' . determineReferralId();
} // END - if

// Load the URL
redirectToUrl($url);

// [EOF]
?>
